# Create an endpoint

Launch stage: GA

`POST /api/2.0/vector-search/endpoints`

Create a new endpoint.

API scopes: vector-search

## Request body

- `name` (string, required)
  Name of the AI Search endpoint
  Example: `docs-endpoint`
- `endpoint_type` (string, required)
  Type of endpoint
  Possible values:
  - `STORAGE_OPTIMIZED`
  - `STANDARD`
- `budget_policy_id` (string, optional, Public Preview)
  The budget policy id to be applied
  Example: `8b0444ff-8b60-48b0-9d31-e391f6126e0f`
- `target_qps` (int64, optional)
  Target QPS for the endpoint. Mutually exclusive with num_replicas.
   The actual replica count is calculated at index creation/sync time based on this value.
   Best-effort target; the system does not guarantee this QPS will be achieved.
  Example: `100`

## Returns

Returns the Endpoint object.

## Request

### Create a Standard endpoint

```json
{
  "budget_policy_id": "8b0444ff-8b60-48b0-9d31-e391f6126e0f",
  "endpoint_type": "STANDARD",
  "name": "docs-endpoint"
}
```

## Response

### Successful response

```json
{
  "creation_timestamp": 1702013512061,
  "creator": "john@example.com",
  "effective_budget_policy_id": "8b0444ff-8b60-48b0-9d31-e391f6126e0f",
  "endpoint_status": {
    "state": "PROVISIONING"
  },
  "endpoint_type": "STANDARD",
  "id": "c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76",
  "last_updated_timestamp": 1702013512061,
  "last_updated_user": "john@example.com",
  "name": "docs-endpoint"
}
```

